<br/>


------------


<br/>

## 功能介绍
在网页端管理系统中进行项目创建，管理员设置项目组成员及相关权限，团队成员可以在客户端打开项目团队中的文件；项目创建及团队管理操作详见网页端管理系统，这里介绍其他团队成员打开团队项目方法。
<br/>
## 使用说明
双击软件启动图标运行，弹出的启动界面对话框如图1。
![](/uploads/pkpm-bim-teamwork/images/m_520c63f09bcfc9fade35883b96fa54a9_r.png)
图1 项目管理界面

### 用户登录
1. &emsp;&emsp;在启动界面左侧点击选择需要进入的专业，
2. &emsp;&emsp;点击【团队项目】按钮，弹出登录对话框，服务器IP/端口号以及用户名和密码，如图2，
**注：**服务器IP/端口号即为网页端管理系统的网址，用户名和密码为网页端设置的用户成员用户名及密码，可在网页端由管理员设置和修改。具体设置方法见网页端用户管理章节

3. &emsp;&emsp;点击登录，登录成功后弹出团队项目列表，如图3。


![](/uploads/pkpm-bim-teamwork/images/m_13482a9c5eab696b9330cb0616f0e70b_r.png)
![](/uploads/pkpm-bim-teamwork/images/m_96a2ac1626c301f11adafe819ec2b348_r.png)
图2 团队项目登录
![](/uploads/pkpm-bim-teamwork/images/m_7a8a1eb01c7660ec667c312e94cc499a_r.png)
图3 团队项目列表
<br/>

### 项目列表
项目列表对话框列出了当前登录服务器上，该用户参与的项目。若用户参与多个项目，可在项目下拉栏中切换选择，下方项目树中显示选择项目的文件夹和模型文件。
用户打开团队项目时，会在用户本地目录下建立本地映射文件。
**“映射文件”**：是指服务端的模型在本地的一个副本，映射文件的格式是.p3d，默认的文件名是“项目名\_用户名”。在首次建立本地映射时，服务端的模型会同步到本地的映射文件中；之后在本地的修改，会保存在映射文件中，这样保证了在客户端保存退出后本地的修改不会丢失，直到再次上传至服务器，本地映射文件与服务器同步；

**注：**不能将本地同名模型文件替换映射文件，不能将映射文件拷贝后单机打开操作再放回映射目录下。

- &emsp;**<刷新>**：点击【刷新】按钮，可刷新项目列表中的文件，获取服务器最新的项目列表；
- &emsp;**<打开>**：点击【打开】按钮或双击模型，可打开选中的模型文件进行编辑；
- &emsp;**<查看>**：点击【查看】按钮，可打开选中的模型文件进行查看，此时模型无法编辑；
- &emsp;**<移除映射>**：删除本地映射的数据；
- &emsp;**<添加>**：选择项目文件夹，点击【添加】按钮，弹出文件选择对话框，可将本地p3d文件添加至项目列表中；
- &emsp;**<新建>**：选择项目文件夹，点击【新建】按钮，输入新建模型文件名称，在项目列表中新建模型工程并打开。

### 模型资料
- 新建或打开团队项目中的模型后，视图左侧可查看模型所在项目的卷册图档和设计文件，如图4。
- 在设计文件中可查看当前项目中的所有模型，灰色模型为未映射文件，本地无副本；绿色模型为映射文件，本地存在p3d文件副本；蓝色高亮模型为当前打开的模型。
- 选中当前模型右键，可打开映射文件位置，也可以对项目中的其他模型进行链接，如图5。链接其他模型后的效果与【链接P3D】功能一致，可对链接模型进行参照。
![](/uploads/pkpm-bim-teamwork/images/m_db1133d301b437ccd339762ea787db5b_r.png)
![](/uploads/pkpm-bim-teamwork/images/m_b39c7da20c61ac3b34a9e3775219461c_r.png)
图4 模型资料

![](/uploads/pkpm-bim-teamwork/images/m_d2629b7223ee527ea55e8ea1628d9120_r.png)
![](/uploads/pkpm-bim-teamwork/images/m_bd61b48eeb95da8e42902812e520008a_r.png)
图5 模型映射与模型链接