<br/>


------------


<br/>

## 功能介绍
该功能为用户提供项目团队之间消息的发送及查看功能，可以帮助团队内部的成员及时沟通，实现协同设计。
### 规则说明
&emsp;消息的发送方可以指定团队联系人发送文字消息或构件消息，接收方可以看到其他用户发来的文字消息或构件消息，同时发送方和接收方都可以选择指定联系人查看历史消息。
<br/>

## 使用说明
### 操作步骤
1. &emsp;&emsp;点击【协同】-【打开项目消息】工具，
2. &emsp;&emsp;弹出项目消息页面，用户可在页面中与其他成员进行聊天沟通，如图1，
3. &emsp;&emsp;当有新消息或通知时，右下角会提示消息数，点击右下角小图标也可以打开项目消息页面进行查看，如图2。

![](/uploads/pkpm-bim-teamwork/images/m_d86195b3608d3e0ff1e8cdb0ac24cd7b_r.png)
图1 项目消息

![](/uploads/pkpm-bim-teamwork/images/m_55d3dac679fe930b834a08d0336b41ab_r.png)
图2 新消息通知

 当有新消息或通知时，为方便用户及时查看到新消息，在系统界面右下角会弹出并提示消息数，点击该消息提示，在消息对话框中高亮显示消息发送方，如下图所示；
<br/>
### 消息页面设置
- &emsp;**<联系人>**：页面中的联系人为项目团队成员，点击对应联系人可查看与该联系人的历史聊天记录；
- &emsp;**<发送>**：当用户需要发送消息时，可以选择联系人，在消息输入框输入要发送的消息，单击发送或按“Enter”键发送；
- &emsp;**<发送构件>**：选中需要发送的构件，并点击消息页面中【发送构件】功能，会在聊天框显示构件信息，用户可在构件信息后加入说明文字信息并发送给对方。构件信息显示蓝色，单击此条信息可快速定位至构件并高亮构件，如图3；
**注：**当发送的构件信息中包含已被删除的构件，点击此条消息出现弹窗提示如图4

- &emsp;**<截图>**：选择需要发送的图片视图，调整视图角度和大小，点击【截图】可以向对方发送当前视图图片，如图5；
- &emsp;**<历史消息>**：点击【历史消息】可查看与此成员的所有聊天记录。

![](/uploads/pkpm-bim-teamwork/images/m_76097a5ac8513d9565d28fcc9c9633c0_r.png)
图3 发送构件
![](/uploads/pkpm-bim-teamwork/images/m_3c9947daa31a61ee570a80d15d118557_r.png)
图4 消息中的构件已删除提示
![](/uploads/pkpm-bim-teamwork/images/m_b1642e5c2fd33b54642d434ca7500deb_r.png)
图5 截图发送