<br/>


------------


<br/>

## 功能介绍
用户管理是管理员对项目团队成员的管理。
<br/>

## 使用说明
点击左侧**用户组管理**按钮，显示页面如图1，可以看到团队中的所有成员信息，包括成员的头像、账户名、姓名、代表颜色和是否为管理员身份等。


![](/uploads/pkpm-bim-teamwork/images/m_f2d54ed925f84d8fe89743b3be374682_r.png)
图1 用户管理页面
<br/>
### 团队成员管理
页面顶部可对团队成员进行查询和增删。

- &emsp;**<查询>**：在输入框中输入成员账户/名称关键字，点击【查询】按钮，可筛选显示符合要求的成员列表；
- &emsp;**<新增团队成员>**：点击【新增团队成员】按钮，弹出对话框如图1，在对话框中输入新增团队成员的账户名、姓名、密码并且指定用户颜色，点击【保存】完成成员新增；
**注：**账户名是用户的登录名，输入时按照相关规定填写，如图2所示；选择的用户颜色最好与其他成员不重复，这样在显示构件锁定颜色时可以做到很好的区分。

- &emsp;**<移除成员>**：在成员列表中勾选一个或多个用户，点击移除成员，提示如图，点击是，这些成员被删除，之后将无法访问任何一个团队项目，如图3。


![](/uploads/pkpm-bim-teamwork/images/m_6c391e5f672b5dae478e74c5ba8a6b2d_r.png)
图2 新增团队成员


![](/uploads/pkpm-bim-teamwork/images/m_6ccf3ae29b212d3e2755a4131b8c6d0e_r.png)
图3 移除成员

<br/>

### 成员信息编辑
点击成员信息行中的编辑项，可以对成员的信息进行修改，可以更改的信息有姓名、密码和用户颜色等，如图4。
**注**：默认账户admin为超级管理员，默认不能被移除，可以查看服务器上所有项目。其他成员只能被指定项目管理员，只有管理员才有权登录网页端进行查看项目、修改团队成员权限等操作。

![](/uploads/pkpm-bim-teamwork/images/m_2a50db55df3428650d0acdaed9e0f3b1_r.png)
图4 成员信息编辑

- &emsp;**<颜色>**：点击成员列表中的颜色列，弹出修改对话框如图5，对用户颜色进行修改；
- &emsp;**<设置团队管理员>**：点击设置团队管理员列的图标，弹出对话框如图6，点击确定即将此成员设置为管理员或移除管理员权限；
**注**：默认账户admin为超级管理员，默认不能被移除管理员，可以查看服务器上所有项目。其他成员只能被指定项目管理员，只有管理员才有权登录网页端进行查看项目、修改团队成员权限等操作。

- &emsp;**<删除成员>**：点击操作列的删除图标，可删除团队成员，删除成员无法访问团队项目；
- &emsp;**<修改团队成员信息>**：点击操作列的修改图标，可修改团队成员的姓名和密码，如图7；
- &emsp;**<信息查看>**：点击操作列的查看图标，可查看该成员所在的所有项目名称、所属角色和拥有权限，如图8。

![](/uploads/pkpm-bim-teamwork/images/m_dd585834945734bf41c68413837dbbd6_r.png)
图5 用户颜色修改
![](/uploads/pkpm-bim-teamwork/images/m_bf3ef9b6154ef7ad644783e8e0cdeec2_r.png)
图6 设置团队管理员
![](/uploads/pkpm-bim-teamwork/images/m_40f6f33221909de8700e9bd68570eaff_r.png)
图7 修改团队成员信息
![](/uploads/pkpm-bim-teamwork/images/m_a9731739562bbe0705cb69d5dc80a311_r.png)
图8 信息查看