<br/>


------------


<br/>

## 功能介绍
项目管理是对项目列表中的项目进行整体管理，包括项目增删修改，导入导出和项目用户管理。
<br/>

## 使用说明
点击选中项目列表中的最高层级项目层级，如图1，可在顶部对项目进行增删设置，并在右侧进行项目情况和成员权限设置。
![](/uploads/pkpm-bim-teamwork/images/m_471788976502af0af610c75c8e207212_r.png)
图1 项目管理界面

### 项目增删
- &emsp;**<查询>**：在输入框中输入项目关键字，点击【查询】按钮，可筛选显示符合要求的项目列表；
- &emsp;**<新增项目>**：点击【新增项目】按钮，弹出对话框如图2，在对话框中输入项目名称、协同方式和项目简介，点击【保存】完成项目新增；
- &emsp;**<修改项目>**：在项目列表中选中某个项目，点击【修改项目】按钮，弹出对话框可修改项目名称和简介，点击【保存】完成项目修改；
- &emsp;**<移除项目>**：在项目列表中选中某个项目，点击【移除项目】按钮，可删除项目；
**注**：移除项目会同步删除项目中的所有文件夹和模型

- &emsp;**<导出项目>**：在项目列表中选中某个项目，点击【导出项目】按钮，可导出项目数据信息；
- &emsp;**<导入项目>**：点击【导入项目】按钮，弹出对话框如图3，选择本地项目文件可导入项目；
- &emsp;**<刷新列表>**：对项目列表进行刷新，更新当前所有保存的修改设置；

![](/uploads/pkpm-bim-teamwork/images/m_b0019f902abac50f8d7c6334199e2586_r.png)
图2 新增项目
![](/uploads/pkpm-bim-teamwork/images/m_7fd39661ac9f745671f139466efb55da_r.png)
图3 导入项目

### 项目成员及权限设置
列表中选中项目后，右侧可显示此项目的用户成员和相关权限。

- &emsp;**<添加用户(组)>**：点击【添加用户(组)】，弹出对话框如图4，勾选需要添加的用户或用户组，点击【导入】，将选择的用户或用户组添加进项目成员；
- &emsp;**<移除用户(组)>**：在用户列表中勾选需要移除的用户或用户组，支持多选，点击【移除用户(组)】，将选择的用户或用户组移出项目成员；
- &emsp;**<权限设置>**：在用户列表中勾选用户(组)，可在右侧配置用户权限，包括创建文件夹、创建模型、编辑项目属性和删除项目，如图5，点击【保存】按钮保存设置；
- &emsp;**<权限导入导出>**：点击【导入权限】和【导入权限】按钮，可对当前配置的人员权限进行模版导入导出，如图6，保存模版后可批量处理成员权限。

![](/uploads/pkpm-bim-teamwork/images/m_79e96fc3da3dcd67702e3a9ccf835a85_r.png)
图4 添加用户(组)
![](/uploads/pkpm-bim-teamwork/images/m_b111a154fa3ac5d389a35a552c59bef4_r.png)
图5 用户权限设置
![](/uploads/pkpm-bim-teamwork/images/m_d4e7bb2ee799bd3e27cd96a336fa3fb2_r.png)
图6 用户权限设置导入导出