<br/>


------------


<br/>

## 功能介绍
模型管理是对项目中的具体模型进行管理，包括模型删改、构件查看统计和用户管理。
<br/>

## 使用说明
点击选中项目列表中的项目下的模型层级，如图1，可在顶部对模型进行相关编辑，并在右侧进行模型成员权限设置。
![](/uploads/pkpm-bim-teamwork/images/m_2e5a43acb395b2cd099c82291462472e_r.png)
图1 模型管理界面
<br/>

### 文件夹增删
- &emsp;**<删除模型>**：点击【删除模型】按钮，可删除当前选中的模型文件；
- &emsp;**<修改模型>**：点击【修改模型】按钮，在弹窗中修改模型名称和简介，如图2，点击【保存】完成修改；
- &emsp;**<操作历史>**：点击【操作历史】按钮，在弹窗中可查看此模型的修改上传记录，在界面中可对历史模型进行复制和构件统计，如图3；
- &emsp;**<模型角色>**：点击【模型角色】按钮，在弹窗中可为项目成员分配不同角色，并设置每个角色的相关专业权限，如图4；在角色列表可自由添加团队成员角色，也可以通过模版导入角色设置，界面下方针对每个角色设置相关专业权限和角色内人员；
**注**：选择角色成员时，只能选择本项目中的成员

- &emsp;**<锁定构件查看>**：点击【锁定构件查看】按钮，弹窗中可显示此模型中被锁定的构件专业、构件类型和锁定构件数，如图5；
- &emsp;**<锁定楼层查看>**：点击【锁定楼层查看】按钮，弹窗中可显示此模型中被锁定的楼层所属专业和锁定人；
- &emsp;**<构件统计>**：点击【构件统计】按钮，弹窗中可显示此模型中所有构件的构件类型、所属专业和构件数量；
- &emsp;**<刷新列表>**：对项目列表进行刷新，更新当前所有保存的修改设置。


![](/uploads/pkpm-bim-teamwork/images/m_1c9d543991b2cc8e15df02ea1def5c96_r.png)
图2 修改模型
![](/uploads/pkpm-bim-teamwork/images/m_dcd26e2a6fff06329e69a4c478997f01_r.png)
图3 模型操作历史
![](/uploads/pkpm-bim-teamwork/images/m_30419a9730f3753dd7a9252541eedcb1_r.png)
图4 模型角色设置
![](/uploads/pkpm-bim-teamwork/images/m_e8c383aaf30649c08c0a6b8b71e68f44_r.png)
图5 锁定构件查看
![](/uploads/pkpm-bim-teamwork/images/m_0b11e76c83c2f3821aa3a699d420a751_r.png)
图6 构件统计
<br/>

### 模型成员及权限设置
列表中选中模型后，右侧可显示此模型的用户成员和相关权限。针对模型用户成员增删和角色权限配置的操作与项目管理一致。